<?php
/*
Plugin Name: Locale Auto Switch
Version: 1.00
Description: Automatically switch the locale according to the locale of the browser.
Author: Katsushi Kawamori
Author URI: https://riverforest-wp.info/
Text Domain: locale-auto-switch
Domain Path: /languages
*/

/*  Copyright (c) 2018- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	add_action( 'plugins_loaded', 'locale_auto_switch_textdomain' );
	function locale_auto_switch_textdomain() {
		load_plugin_textdomain( 'locale-auto-switch' );
	}

	if(!class_exists('LocaleAutoSwitchRegist')) require_once( dirname(__FILE__).'/lib/LocaleAutoSwitchRegist.php' );
	if(!class_exists('LocaleAutoSwitch')) require_once( dirname(__FILE__).'/lib/LocaleAutoSwitch.php' );
	if(!class_exists('LocaleAutoSwitchAdmin')) require_once( dirname(__FILE__).'/lib/LocaleAutoSwitchAdmin.php' );

?>
